# Burn a Position

[Contract Git Source](https://github.com/dopex-io/dopex-v2-clamm/blob/c47ed162e778d188e077b6b1874a8b5873e15c1d/src/DopexV2PositionManager.sol)

Burn an existing position using the specified handler.

```solidity
function burnPosition(IHandler _handler, bytes calldata _burnPositionData)
    external
    onlyWhitelistedHandlers(_handler)
    nonReentrant
    returns (uint256 sharesBurned);
```

**Parameters**

| Name                | Type       | Description                             |
| ------------------- | ---------- | --------------------------------------- |
| `_handler`          | `IHandler` | The address of the handler to use.      |
| `_burnPositionData` | `bytes`    | The data required to burn the position. |

**Returns**

| Name           | Type      | Description                  |
| -------------- | --------- | ---------------------------- |
| `sharesBurned` | `uint256` | The number of shares burned. |

The \``_burnPositionData`\` parameter has to be constructed the following way:

```solidity
struct BurnPositionParams {
    IUniswapV3Pool pool;
    address hook;
    int24 tickLower;
    int24 tickUpper;
    uint128 shares;
}

bytes memory _burnPositionData = abi.encode(
    _params.pool,
    _params.hook,
    _params.tickLower,
    _params.tickUpper,
    _params.shares
);

// To decode:
BurnPositionParams memory decodedParams = abi.decode(encodedData, (BurnPositionParams));
```

### **BurnPositionParams Struct**

| Field Name | Type           | Description                      |
| ---------- | -------------- | -------------------------------- |
| pool       | IUniswapV3Pool | The Uniswap V3 pool contract     |
| hook       | address        | The address of the hook contract |
| tickLower  | int24          | The lower tick of the position   |
| tickUpper  | int24          | The upper tick of the position   |
| shares     | uint128        | The amount of shares to burn     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stryke.xyz/developers/contracts/lp-management/burn-a-position.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
